#
# -*- encoding: utf-8 -*-

import docutils.parsers.rst.tableparser

def my_init_row(self, colspec, offset):
        i = 0
        cells = []
        for start, end in colspec:
            morecols = 0
            try:
                assert start == self.columns[i][0]
                while end != self.columns[i][1]:
                    #
                    # Maybe the source of the problem included in
                    # Sphinx, not docutils.
                    #
                    if i < len(self.columns)-1:
                        i += 1
                        morecols += 1
                    else:
                        break
            except (AssertionError, IndexError):
                raise docutils.parsers.rst.tableparser.TableMarkupError(
                    'Column span alignment problem '
                    'in table line %s.' % (offset+2), 
                    offset=offset+1)
            cells.append([0, morecols, offset, []])
            i += 1
        return cells

def setup(app):
    """Called from Sphinx to extend.

    @param app sphinx.application.Sphinx object to use add builder or so.
    """

    docutils.parsers.rst.tableparser.SimpleTableParser.init_row = my_init_row

    return
    
